package org.rcisoft.common.util.feignClient;

import org.rcisoft.common.util.fallback.NotificationFeignClientFallBack;
import org.rcisoft.core.result.NotiRet;
import org.rcisoft.core.result.Ret;
import org.rcisoft.common.util.feignDto.MTNotificationSendReqDTO;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RequestParam;

/**
 * 智信消息客户端接口
 */
@Component
@FeignClient(value = "ZX-NOTIFICATION", fallback = NotificationFeignClientFallBack.class)
public interface NotificationFeignClient {

    /**
     * 发送智信消息
     * @return
     */
    @RequestMapping(value = "/notification/send",method = RequestMethod.POST)
    NotiRet sendMessage(@RequestBody MTNotificationSendReqDTO mtNotificationSendReqDTO,
                        @RequestParam("zxClientType") String zxClientType,
                        @RequestParam("zxAccountId") Long zxAccountId
    );
}
